from GOESLayer import GOESLayer
import logging
import multiprocessing

##
# @brief Print Layer class.
# @details Currently a rough sketch of an "output" layer. Right now
# it writes the files it receives, but was used earlier in development
# to print intermediate packet data.
# @author Miguel Dominguez
# @date 2016
class PrintLayer(GOESLayer):
   ##
   # @fn __init__
   # @brief Constructor.
   # @details Initializes the logger
   def __init__(self):
      GOESLayer.__init__(self)
      self.logger = logging.getLogger(__name__)
      self.count = 0

   ##
   # @fn threadFunction
   # @brief Custom thread function that doesn't put anything in
   # an output buffer
   def threadFunction(self):
      i = 0
      while True:
         (inData,inOpsMsg) = self.inBuffer.get()
         if inData is not None:
            (outData,outOpsMsg) = self.processData(inData,inOpsMsg)
         else:
            break

   ##
   # @fn processData
   # @brief Currently, just write the file to filesystem
   # @param[in] data LritFile Object
   # @param[in] opsMsgs Filler, is ignored
   # @param[out] outData Filler, is ignored
   # @param[out] outOpsMsg Filler, is ignored
   def processData(self,data,opsMsg):
      self.logger.info(data)
      self.count += 1
      data.toFile()
      return(1,True)
