import abc

##
# @brief GOES Frame abstract class.
# @author Miguel Dominguez
# @date 2016
class GOESFrame(object):
   #Is an abstract base class
   __metaclass__ = abc.ABCMeta

   ##
   # @fn fromFrame
   # @brief Extracts the frame from input data
   # @param[in] data Input data
   @abc.abstractmethod
   def fromFrame(self,data):
      raise NotImplementedError('must define fromFrame function!')

   ##
   # @fn isValid
   # @brief Return true if header valid check passes
   # @param[in] data Input data
   @abc.abstractmethod
   def fromFrame(self,data):
      raise NotImplementedError('must define fromFrame function!')
